<?php
/*
Template Name: Archive
*/
?>

<?php get_header(); ?>


<div id="content_wrapper">

<div id="left_side">

	<?php if (have_posts()) : ?>
<?php $post = $posts[0];  ?>
<?php  if (is_category()) { ?>				
<h2 class="pagetitle">Archive for the '<?php echo single_cat_title(); ?>' Category</h2>
<?php  } elseif (is_day()) { ?>
<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
<?php  } elseif (is_month()) { ?>
<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>
<?php  } elseif (is_year()) { ?>
<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
<?php  } elseif (is_search()) { ?>
<h2 class="pagetitle">Search Results</h2>
<?php  } elseif (is_author()) { ?>
<h2 class="pagetitle">Author Archive</h2>
<?php  } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2 class="pagetitle">Blog Archives</h2>
<?php } ?>
<?php while (have_posts()) : the_post(); ?>
<div class="post" id="post-<?php the_ID(); ?>">
<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
<div class="date"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/icon-date.gif" alt="Auto Date" /> <?php the_time('l, F jS, Y') ?></div> <!-- by  -->
<div class="entry">
<?php the_content('Read the rest of this entry &raquo;'); ?></div>
<p class="postmetadata"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/icon-com.gif" alt="Auto Comments" /> <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?> &nbsp;&nbsp;&nbsp; <img src="<?php bloginfo('stylesheet_directory'); ?>/images/icon-post.gif" alt="Auto Posts" /> Posted by <strong><?php the_author() ?></strong> in <?php the_category(', ') ?> &nbsp;&nbsp;&nbsp; <?php edit_post_link('Edit','',''); ?> &nbsp;&nbsp;&nbsp; <a href="#top"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/icon-top.gif" alt="Auto Top" border="0" /></a></p>
</div>
<?php endwhile; ?>
<div class="navigation">
<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
</div><br />
<?php else : ?>
<h2>Not Found</h2>
<?php include (TEMPLATEPATH . '/searchform.php'); ?>
<?php endif; ?>
				

</div>

	<?php get_sidebar(); ?>

<div id="spacer"></div>

</div>


<?php get_footer(); ?>



</div>

</body>

</html>